Bug 188937 - nvidia driver needs symbol xen_tlb_flush
nvidia driver needs symbol xen_tlb_flush
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2006-04-13 15:52 EDT by Sietse Visser
Modified: 2009-12-14 15:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-26 18:03:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sietse Visser 2006-04-13 15:52:39 EDT
Description of problem: nvidia graphics driver fails to load on Xen kernel

Version-Release number of selected component (if applicable): nvidia 8756

How reproducible: every time. 
Works fine on non-xen kernel.

Steps to Reproduce:
1. modprobe nvidia
Actual results:
Apr 13 21:05:48 prefect kernel: nvidia: Unknown symbol xen_tlb_flush
FATAL: Error inserting nvidia_1_0_8756
Unknown symbol in module, or unknown parameter (see dmesg)

In /var/log/messages:
Apr 13 21:05:48 prefect kernel: nvidia: module license 'NVIDIA' taints kernel.
Apr 13 21:05:48 prefect kernel: nvidia: Unknown symbol xen_tlb_flush

Expected results: loaded module
Comment 1 Sietse Visser 2006-04-18 10:40:17 EDT
Someone got it working with some patches:

Hope this is helpful.

Comment 2 Boleslaw Ciesielski 2006-10-10 17:20:42 EDT
See also discussion in http://bugzilla.atrpms.net/show_bug.cgi?id=784
Comment 3 Red Hat Bugzilla 2007-07-24 21:31:11 EDT
change QA contact
Comment 4 Chris Lalancette 2008-02-26 18:03:34 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.


Note You need to log in before you can comment on or make changes to this bug.